Ask Your Question
0

cannot make opencv 2.4 with java support

asked 2013-06-17 09:23:02 -0500

decebal gravatar image

Hi

I'm trying to install opencv 2.4.5 with java support on my ubuntu 10.04 but without success.

What I did:

git clone https://github.com/Itseez/opencv.git

  • cd opencv
  • git checkout 2.4
  • mkdir ./build
  • cd ./build
  • cmake -DWITH_TBB=OFF -DCMAKE_BUILD_TYPE=RELEASE -DCMAKE_INSTALL_PREFIX=/usr/local ..

What I get on cmake running:

Unavailable: androidcamera java ocl

Java:

  ant:                         /opt/java/apache-ant-1.9.1/bin/ant(ver 1.9.1)
  JNI:                         /opt/java/jdk-1.7/include /opt/java/jdk-1.7/include/linux /opt/java/jdk-1.7/include
 Java tests:                  NO

My question:

  • why opencv tell me that java module is Unavailable?
edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
1

answered 2013-06-17 18:59:05 -0500

Please, check this answer. You might be missing some Java tools in your system or some environment variable.

edit flag offensive delete link more
Login/Signup to Answer

Question Tools

Stats

Asked: 2013-06-17 09:23:02 -0500

Seen: 2,102 times

Last updated: Jun 17 '13